| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.SimpleFloat

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage:

Description
A basic floating layout.
Synopsis

simpleFloat :: Eq a => ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a
simpleFloat' :: (Eq a, Shrinker s) => s -> Theme -> ModifiedLayout (Decoration SimpleDecoration s) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a
data SimpleDecoration a = Simple Bool
data SimpleFloat a = SF Dimension
shrinkText :: DefaultShrinker
data CustomShrink = CustomShrink
class (Read s, Show s) => Shrinker s where

shrinkIt :: s -> String -> [String]

Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.SimpleFloat

Then edit your `layoutHook` by adding the SimpleFloat layout:

     myLayouts = simpleFloat ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayouts }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

simpleFloat :: Eq a => ModifiedLayout (Decoration SimpleDecoration DefaultShrinker) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a | Source

A simple floating layout where every window is placed according to the window's initial attributes. This version is decorated with the `SimpleDecoration` style.

simpleFloat' :: (Eq a, Shrinker s) => s -> Theme -> ModifiedLayout (Decoration SimpleDecoration s) (ModifiedLayout MouseResize (ModifiedLayout WindowArranger SimpleFloat)) a | Source

Same as `simpleFloat`, but with the possibility of setting a custom shrinker and a custom theme.

data SimpleDecoration a | Source

Constructors

Simple Bool |

Instances

Eq a => DecorationStyle SimpleDecoration a
Read (SimpleDecoration a)
Show (SimpleDecoration a)

data SimpleFloat a | Source

Constructors

SF Dimension |

Instances

LayoutClass SimpleFloat Window
Read (SimpleFloat a)
Show (SimpleFloat a)

shrinkText :: DefaultShrinker | Source

data CustomShrink | Source

Constructors

CustomShrink |

Instances

Read CustomShrink
Show CustomShrink
Shrinker CustomShrink

class (Read s, Show s) => Shrinker s where | Source

Methods

shrinkIt :: s -> String -> [String] | Source

Instances

Shrinker DefaultShrinker
Shrinker CustomShrink

Produced by Haddock version 2.4.2